WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WordPress Store Locator

A WordPress-integrated map & location management interface. Quickly create store locator maps -- provides several top-level addon features

Make sure to check http://docs.viadat.com for the most updated information

I'm getting 'failed to geocode' error messages -- why?

Bought the CSV Importer ...

  • Nearly all your questions have been answered here. If you follow these instructions & answers exactly, you should be fine

I'm using an updated Store Locator, but still no luck geocoding when adding a location

Is this plugin USA-only? / Does it support locations in multiple countries?

This plugin in not USA-only, and yes, it supports locations all over the world -- as long as the Google Maps API properly supports it:

Can I display the Store Locator in a page template instead of using shortcode in a Page or a Post?

  • Yes, in your page template, instead of do_shortcode("[STORE-LOCATOR]") add the code:if (function_exists("sl_template")) {print sl_template("[STORE-LOCATOR]");}
  • Additionally, for versions prior to Store Locator v3.0, you would also need to add the following to your theme's functions.php file:if (!function_exists("show_sl_scripts")){ function show_sl_scripts(){}}

I'm seeing a 'Google Maps is disabled', or other Google Maps error messages on my website when viewing my Store Locator

  • Are you using Store Locator v1.9.7 or earlier? You must update immediately

If I need to rename my folder from the older 'wordpress-store-locator-location-finder' to 'store-locator', will I lose my locations?

  • No. You won't lose them. And make sure to re-select your home & end map markers in MapDesigner after renaming

How can I have more than one Store Locator map on my website?

I would like to show different icons for different locations -- can that be done?

Do I need a Google Account to use this store locator?

Since Store Locator v2.x, which uses Google Maps API v3, it is not required like it was in Google Maps API v2. However, high-usage sites may still need an API key to monitor usage. Thus, if needed:

  1. To sign up for a Google Account, visit: https://www.google.com/accounts/
  2. To sign up for a Google Maps API Key, visit: https://developers.google.com/maps/documentation/javascript/tutorial#api_key

How Do I use a Translation?

  1. Place .po & .mo translation files into the /wp-content/uploads/sl-uploads/languages folder, and then change the WPLANG constant to the corresponding language abbreviation in the wp-config.php file in the root wordpress directory
  2. Example: to use French, make sure lol-fr_FR.po & lol-fr_FR.mo are in the /wp-content/uploads/sl-uploads/languages folder, then make sure to update the code in wp-config.php to read define('WPLANG', 'fr_FR'), and Voila, Il sera en francais (It will be in French).

Which countries is this compatible with?

This plugin is compatible with all countries that have Google Map domains. This includes: * Algeria * American Samoa * Angola * Argentina * Australia * Austria * Bangladesh * Bahrain * Belgium * Belize * Benin * Botswana * Brazil * Bulgaria * Burundi * Canada * Central African Republic * Chile * China * Congo * Cyprus * Czech Republic * Djibouti * Dem. Republic of Congo * Denmark * Ethiopia * Finland * France * Gabon * Gambia * Germany * Ghana * Greece * Hong Kong * Hungary * India * Indonesia * Italy * Japan * Kenya * Lesotho * Liechtenstein * Macedonia * Madagascar * Malawi * Malaysia * Mauritius * Mexico * Mozambique * Namibia * Netherlands * New Zealand * Nigeria * Norway * Philippines * Poland * Portugal * Reunion * Romania * Russia * Rwanda * Sao Tome & Principe * Senegal * Seychelles * Sierra Leone * Singapore * South Africa * South Korea * Spain * Sri Lanka * Sweden * Switzerland * Taiwan * Tanzania * Thailand * Togo * Turkey * Uganda * United Arab Emirates * United Kingdom * United States * Venezuela * Zambia * Zimbabwe

Requires: 3.3 or higher
Compatible up to: 3.9.1
Last Updated: 2014-5-27
Downloads: 145,752

Ratings

4 stars
4 out of 5 stars

Support

8 of 20 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1
100,2,2
100,1,1 100,2,2
100,1,1 100,1,1 100,1,1 100,1,1
83,6,5 100,2,2 100,1,1
67,3,2 100,2,2
73,11,8 100,2,2
100,2,2 100,2,2
75,4,3 100,1,1
100,3,3 100,3,3 100,3,3
100,2,2
100,3,3 100,2,2 83,6,5
100,3,3
100,2,2 100,2,2 100,3,3
100,3,3
100,2,2
40,10,4
50,2,1
50,4,2 100,5,5 100,3,3 100,2,2 100,1,1 67,3,2 50,4,2
0,2,0
100,2,2 100,1,1 100,1,1
100,1,1 100,2,2 100,1,1
100,1,1
100,1,1